#pragma once

#include "util.h"

void createTableStack(int size);
int createTable();
int removeTable();

void addSymbolInternal(char *symbol, object (*function)());
void addSymbolVariable(char *symbol, object variable);
/* функције помоћу којих се дефинишу нове променљиве: addSymbolVariable се
 * позива током корисничких дефиниција у програму, док се addSymbolInternal
 * користи у init.c да би се дефинисале "уграђене" процедуре */

int symbolExists(char *symbol);
/* враћа 1 уколико симбол постоји и 0 у супротном */

object referVariable(char *symbol);
/* враћа вредност на коју се односи име симбола у табели */
